Package org.eclipse.lemminx.uriresolver

## Enum CacheResourceDownloadingException.CacheResourceDownloadingError

- java.lang.Object
- - java.lang.Enum<CacheResourceDownloadingException.CacheResourceDownloadingError>
  - - org.eclipse.lemminx.uriresolver.CacheResourceDownloadingException.CacheResourceDownloadingError

All Implemented Interfaces:
  `Serializable`, `Comparable<CacheResourceDownloadingException.CacheResourceDownloadingError>`

Enclosing class:
  CacheResourceDownloadingException

    public static enum CacheResourceDownloadingException.CacheResourceDownloadingError
    extends Enum<CacheResourceDownloadingException.CacheResourceDownloadingError>

### Enum Constant Summary

Enum Constants
`DOWNLOAD_DISABLED`
`RESOURCE_LOADING`
`RESOURCE_NOT_IN_DEPLOYED_PATH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getMessage​(Object... arguments)`
`static CacheResourceDownloadingException.CacheResourceDownloadingError` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CacheResourceDownloadingException.CacheResourceDownloadingError[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOWNLOAD_DISABLED

    public static final CacheResourceDownloadingException.CacheResourceDownloadingError DOWNLOAD_DISABLED

#### RESOURCE_LOADING

    public static final CacheResourceDownloadingException.CacheResourceDownloadingError RESOURCE_LOADING

#### RESOURCE_NOT_IN_DEPLOYED_PATH

    public static final CacheResourceDownloadingException.CacheResourceDownloadingError RESOURCE_NOT_IN_DEPLOYED_PATH

### Method Detail

#### values

    public static CacheResourceDownloadingException.CacheResourceDownloadingError[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheResourceDownloadingException.CacheResourceDownloadingError c : CacheResourceDownloadingException.CacheResourceDownloadingError.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheResourceDownloadingException.CacheResourceDownloadingError valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMessage

    public String getMessage​(Object... arguments)